0

I just updated the Force.com IDE to the latest version, however, I am having issue running unit tests. When I open the "Run as configuration" dialog, I receive an error: enter image description here

And when I filled in the project and switched the tab to "Test", there's no available test class/method to select. enter image description here

The error looks like this:

ERROR [2017-04-04 14:05:30,944] (RunTestsView.java:enqueueTests:357) - Failed to enqueue tests. Tests array: 
ERROR [2017-04-04 14:05:32,617] (RunTestsView.java:runTests:263) - Unexpected error
java.lang.NullPointerException
at com.salesforce.ide.apex.internal.core.ApexSourceUtils.lambda$1(ApexSourceUtils.java:302)
at java.util.stream.ReferencePipeline$2$1.accept(Unknown Source)
at java.util.ArrayList$ArrayListSpliterator.forEachRemaining(Unknown Source)
at java.util.stream.AbstractPipeline.copyInto(Unknown Source)
at java.util.stream.AbstractPipeline.wrapAndCopyInto(Unknown Source)
at java.util.stream.ReduceOps$ReduceOp.evaluateSequential(Unknown Source)
at java.util.stream.AbstractPipeline.evaluate(Unknown Source)
at java.util.stream.ReferencePipeline.collect(Unknown Source)
at com.salesforce.ide.apex.internal.core.ApexSourceUtils.filterSourcesByType(ApexSourceUtils.java:303)
at com.salesforce.ide.apex.internal.core.ApexSourceUtils.filterSourcesByClass(ApexSourceUtils.java:252)
at com.salesforce.ide.apex.internal.core.ApexSourceUtils.findTestClassesInProject(ApexSourceUtils.java:70)
at com.salesforce.ide.ui.views.runtest.RunTestsView.findTestClasses(RunTestsView.java:894)
at com.salesforce.ide.ui.views.runtest.RunTestsView.runTests(RunTestsView.java:232)
at com.salesforce.ide.ui.views.runtest.RunTestsLaunchConfigurationDelegate.launch(RunTestsLaunchConfigurationDelegate.java:124)
at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:885)
at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:739)
at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:1039)
at org.eclipse.debug.internal.ui.DebugUIPlugin$8.run(DebugUIPlugin.java:1256)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

Does anybody know what is going wrong?

  • 2
    Try upgrading up to the latest version first, and see if it goes away. If not, you might want to report this error here. I'm not sure we can help you. – sfdcfox Apr 4 '17 at 18:53
  • I am pretty sure i installed the latest version. I have reported it to github – CharlesDou Apr 5 '17 at 14:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.